Partially update a client by ID.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
id*stringObject ID (UUID)
uuidapplication/json- body
Record of a single customer of your business. Create one for each of your clients; you will be able to issue invoices/subscriptions for them later easily using /billing_templates/ API.
Each BillingTemplateClient (there can be many attached to a single BillingTemplate) will bind a single Client to a BillingTemplate.
bank_account?stringBank account number (e.g. IBAN)
length <= 34bank_code?stringSWIFT/BIC code of the bank
length <= 11email*EmailEmail address
emaillength <= 254phone?PhonePhone number in the <country_code> <number> format
phonelength <= 32full_name?stringName and surname of client
length <= 128personal_code?stringPersonal identification code of client.
length <= 32street_address?StreetAddressStreet house number and flat address where applicable
length <= 128country?CountryCountry code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
ISO 3166-1 alpha-2length <= 2city?CityCity name
length <= 128zip_code?ZIPCodeZIP or postal code
length <= 32state?StateState code
length <= 128shipping_street_address?StreetAddressStreet house number and flat address where applicable
length <= 128shipping_country?CountryCountry code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
ISO 3166-1 alpha-2length <= 2shipping_city?CityCity name
length <= 128shipping_zip_code?ZIPCodeZIP or postal code
length <= 32shipping_state?StateState code
length <= 128cc?array<>Email addresses to receive a carbon copy of all notification emails
bcc?array<>Email addresses to receive a blind carbon copy of all notification emails
legal_name?stringLegal name of company
length <= 128brand_name?stringCompany brand name
length <= 128registration_number?stringRegistration number of company
length <= 32tax_number?stringTax payer registration number
length <= 32delivery_methods?array<>List of delivery methods for invoices
[ { "method": "email", "options": {} }]OK
application/json- response
Record of a single customer of your business. Create one for each of your clients; you will be able to issue invoices/subscriptions for them later easily using /billing_templates/ API.
Each BillingTemplateClient (there can be many attached to a single BillingTemplate) will bind a single Client to a BillingTemplate.
type?stringObject type identifier
id?stringuuidcreated_on?integerObject creation time
Unix timestamp (seconds)updated_on?integerObject last modification time
Unix timestamp (seconds)bank_account?stringBank account number (e.g. IBAN)
length <= 34bank_code?stringSWIFT/BIC code of the bank
length <= 11email*EmailEmail address
emaillength <= 254phone?PhonePhone number in the <country_code> <number> format
phonelength <= 32full_name?stringName and surname of client
length <= 128personal_code?stringPersonal identification code of client.
length <= 32street_address?StreetAddressStreet house number and flat address where applicable
length <= 128country?CountryCountry code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
ISO 3166-1 alpha-2length <= 2city?CityCity name
length <= 128zip_code?ZIPCodeZIP or postal code
length <= 32state?StateState code
length <= 128shipping_street_address?StreetAddressStreet house number and flat address where applicable
length <= 128shipping_country?CountryCountry code in the ISO 3166-1 alpha-2 format (e.g. 'GB')
ISO 3166-1 alpha-2length <= 2shipping_city?CityCity name
length <= 128shipping_zip_code?ZIPCodeZIP or postal code
length <= 32shipping_state?StateState code
length <= 128cc?array<>Email addresses to receive a carbon copy of all notification emails
bcc?array<>Email addresses to receive a blind carbon copy of all notification emails
legal_name?stringLegal name of company
length <= 128brand_name?stringCompany brand name
length <= 128registration_number?stringRegistration number of company
length <= 32tax_number?stringTax payer registration number
length <= 32delivery_methods?array<>List of delivery methods for invoices
[ { "method": "email", "options": {} }]curl -X PATCH 'https://gate.reviopay.com/api/v1/clients/497f6eca-6276-4993-bfeb-53cbbbba6f08/' \ -H 'Content-Type: application/json' \ -d '{ "email": "user@example.com"}'{ "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_on": 1619740800, "updated_on": 1619740800, "email": "user@example.com", "phone": "+44 45643564564", "full_name": "string", "personal_code": "string", "street_address": "string", "country": "st", "city": "string", "zip_code": "string", "state": "string", "shipping_street_address": "string", "shipping_country": "st", "shipping_city": "string", "shipping_zip_code": "string", "shipping_state": "string", "cc": [ "user@example.com" ], "bcc": [ "user@example.com" ], "legal_name": "string", "brand_name": "string", "registration_number": "string", "tax_number": "string", "delivery_methods": [ { "method": "email", "options": {} } ], "bank_account": "string", "bank_code": "string"}